Browse Source

Mise en place d'une liste noire de compte mail

* Pour éviter dans l'immdiat la mis en place d'un captcha un peu trop envahissant
* Mise en place d'un script qui nettoie régulièrement les comptes sur base d'une liste noire
master
cam.lafit 2 years ago
parent
commit
74500a890e
  1. 19
      cleanSpamAccount.sh

19
cleanSpamAccount.sh

@ -0,0 +1,19 @@
#!/usr/bin/env bash
hash curl 2>/dev/null || { echo >&2 "curl is required. Stopped."; exit 1; }
hash jq 2>/dev/null || { echo >&2 "jq is required. Stopped."; exit 1; }
. ImportToGitea.conf
USERS=$(curl -sH "Authorization: token $GITEA_TOKEN" \
-H "accept: application/json" \
-X GET \
"$GITEA_HOST:$GITEA_PORT/api/v1/admin/users" |jq -r '.[] | select(.email|match("incubic.pro|ukr.net")) |.login')
for username in $USERS; do
curl -X DELETE \
-H "Authorization: token $GITEA_TOKEN" \
"https://git.spip.net/api/v1/admin/users/$username"
done
exit
Loading…
Cancel
Save